unit untCadastro;

interface

uses
  Winapi.Windows, Winapi.Messages, System.SysUtils, System.Variants, System.Classes, Vcl.Graphics,
  Vcl.Controls, Vcl.Forms, Vcl.Dialogs, Data.DBXFirebird, Data.FMTBcd,
  Datasnap.Provider, Data.DB, Data.SqlExpr, Datasnap.DBClient, Vcl.ExtCtrls,
  Vcl.DBCtrls, Vcl.StdCtrls, Vcl.Grids, Vcl.DBGrids;

type
  TForm1 = class(TForm)
    conEmployee: TSQLConnection;
    sdtEmployee: TSQLDataSet;
    dspEmployee: TDataSetProvider;
    cdsEmployee: TClientDataSet;
    dsrEmployee: TDataSource;
    DBGrid1: TDBGrid;
    btnAbrir: TButton;
    DBNavigator1: TDBNavigator;
    btnAplicar: TButton;
    procedure btnAbrirClick(Sender: TObject);
    procedure btnAplicarClick(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure FormDestroy(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.btnAbrirClick(Sender: TObject);
begin
  cdsEmployee.Open;
end;

procedure TForm1.btnAplicarClick(Sender: TObject);
begin
  cdsEmployee.ApplyUpdates(0);
end;

procedure TForm1.FormCreate(Sender: TObject);
begin
  conEmployee.Connected := True;
end;

procedure TForm1.FormDestroy(Sender: TObject);
begin
  cdsEmployee.Close;
  conEmployee.Connected := False;
end;

end.
